Permalink
Browse files

Now depend at least on jeweler 1.8.4 to support current bundler, corr…

…ected require-pathes in TestCycles
  • Loading branch information...
1 parent 0b9663f commit 64738a63305a02d67a9c7f18a5eef71d2d03fae9 @aschoerk committed Nov 5, 2012
Showing with 17 additions and 7 deletions.
  1. +2 −1 Gemfile
  2. +13 −5 Gemfile.lock
  3. +2 −1 test/TestCycles.rb
View
@@ -10,8 +10,9 @@ group :development do
# gem "rspec", "~> 2.3.0"
# gem "bundler", "~> 1.2.1"
# gem "jeweler", "~> 1.5.2"
+ gem "bundler"
gem "rspec"
- gem "jeweler"
+ gem "jeweler", "~> 1.8.4"
gem "rcov", ">= 0"
gem "rake"
end
View
@@ -3,12 +3,18 @@ GEM
specs:
diff-lcs (1.1.2)
git (1.2.5)
- jeweler (1.5.2)
- bundler (~> 1.0.0)
+ jeweler (1.8.4)
+ bundler (~> 1.0)
git (>= 1.2.5)
rake
+ rdoc
+ json (1.7.5)
+ json (1.7.5-java)
rake (0.8.7)
rcov (0.9.9)
+ rcov (0.9.9-java)
+ rdoc (3.12)
+ json (~> 1.4)
rspec (2.3.0)
rspec-core (~> 2.3.0)
rspec-expectations (~> 2.3.0)
@@ -20,11 +26,13 @@ GEM
stream (0.5)
PLATFORMS
+ java
ruby
DEPENDENCIES
- bundler (~> 1.0.0)
- jeweler (~> 1.5.2)
+ bundler
+ jeweler (~> 1.8.4)
+ rake
rcov
- rspec (~> 2.3.0)
+ rspec
stream (~> 0.5)
View
@@ -1,4 +1,5 @@
-$LOAD_PATH << "../lib"
+$: << "#{File.dirname(__FILE__)}/../lib"
+$: << "#{File.dirname(__FILE__)}"
require 'test/unit'
require 'rgl/adjacency'
require 'test_helper'

0 comments on commit 64738a6

Please sign in to comment.